# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/pressure/aosong,adp810.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: aosong adp810 differential pressure sensor

maintainers:
  - Akhilesh Patil <akhilesh@ee.iitb.ac.in>

description:
  ADP810 is differential pressure and temperature sensor. It has I2C bus
  interface with fixed address of 0x25. This sensor supports 8 bit CRC for
  reliable data transfer. It can measure differential pressure in the
  range -500 to 500Pa and temperate in the range -40 to +85 degree celsius.

properties:
  compatible:
    enum:
      - aosong,adp810

  reg:
    maxItems: 1

  vdd-supply: true

required:
  - compatible
  - reg
  - vdd-supply

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;
        pressure-sensor@25 {
            compatible = "aosong,adp810";
            reg = <0x25>;
            vdd-supply = <&vdd_regulator>;
        };
    };
